Sound effect generation (sound_effect) interface
Generate or overlay sound effects on an existing video; keep original audio or specify effect content.
POST
/openapi/v2/video/sound_effect/generateBody Parametersapplication/json
original_sound_switch boolean
Control whether to play background music. Must be a Boolean value.
sound_effect_content string
Optional. If not provided, a random sound effect will be generated.
source_video_id integer
Source_video_id or video_media_id must be passed
video_media_id integer
Source_video_id or video_media_id must be passed
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"original_sound_switch": true,
3"sound_effect_content": "",
4"source_video_id": 343252978602905
5}
1curl -X POST "https://api.digislash.com/openapi/v2/video/sound_effect/generate" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"original_sound_switch": true,
6"sound_effect_content": "",
7"source_video_id": 343252978602905
8}'
1▼{
2"ErrCode": 0,
3"ErrMsg": "success",
4▼"RespData": {
5"id": 123456
6}
7}
